<template>
  <div class="c-app flex-row align-items-center">
    <CContainer>
      <CRow class="justify-content-center">
        <CCol md="8">
          <CCardGroup>
            <CCard class="p-4">
              <CCardBody>
                <CForm>
                  <h1>Login</h1>
                  <p class="text-muted">Sign In to your account</p>
                  <CInput
                    placeholder="Username"
                    autocomplete="username email"
                     name ="username" 
                    v-model="input.username"
                  >
                    <template #prepend-content><CIcon name="cil-user"/></template>
                  </CInput>
                  <CInput
                    placeholder="Password"
                    type="password"
                    autocomplete="curent-password"
                     name ="password" 
                    v-model="input.password"
                  >
                    <template #prepend-content><CIcon name="cil-lock-locked"/></template>
                  </CInput>
                  <CRow>
                    <CCol col="6" class="text-left">
                       <CButton color="primary" class="px-4"   @click="login()" >Login</CButton>
                    </CCol>
                    <CCol col="6" class="text-right">
                      <CButton color="link" class="px-0">Forgot password?</CButton>
                      <!-- <CButton color="link" class="d-lg-none">Register now!</CButton> -->
                    </CCol>
                  </CRow>
                </CForm>
              </CCardBody>
            </CCard>
            <CCard
              color="white"
              text-color="white"
              class="text-center py-5 d-md-down-none"
              body-wrapper
            >
              <!-- <CCardBody>
                <h2>Sign up</h2>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                <CButton
                  color="light"
                  variant="outline"
                  size="lg"
                >
                  Register Now!
                </CButton>
              </CCardBody> -->
            </CCard>
          </CCardGroup>
        </CCol>
      </CRow>
    </CContainer>
  </div>
</template>

<script>
export default {
  name: 'Login',
  data() {
    return {
      input : {
        username : "",
        password : ""
      },

    }
  }, 
methods: {
    login () {
      if (this.input.username !== '' && this.input.password !== '') {
        if (this.input.username === this.$root.mockAccount.username && this.input.password === this.$root.mockAccount.password) {
          this.$emit('authenticated', true)
         this.$router.replace({ name: 'Dashboard' })
           
        } 
        else if (this.input.username === this.$root.mockAccountuser.username && this.input.password === this.$root.mockAccountuser.password) {
          this.$emit('authenticated', true)
          this.$router.replace({ name: 'PlantMaster' })
          

        }
        //  else if (this.input.username === this.$root.mockAccountusermob.username && this.input.password === this.$root.mockAccountusermob.password) {
        //   this.$emit('authenticated', true)
        //   this.$router.replace({ name: 'PlantMaster' })

        // }
        else
        {
          alert('The username and / or password is incorrect')
        }
      } 
      else 
      {
        alert('A username and password must be present')
      }
    }
  }



//  methods : {
//     uservalidate()
//     { const authUser = {}
//     var app = this;
    
//       if(this.input.username != "" && this.input.password != "") 
//       {
//         if(this.input.username == "admin" && this.input.password == "1234") 
//         {
          
//             this.$emit("authenticated", true);
//             //this.$router.replace({ name: "dashboard" });
//             this.$router.push('/dashboard'); 
//         }
//         else if(this.input.username == "user" && this.input.password == "123") 
//         {           
//             this.$emit("authenticated", true);
//             //this.$router.replace({ name: "dashboard" });
//             this.$router.push('/CalendarFIFO/Master/PlantMaster'); 
//         }
//         else if(this.input.username == "calmob" && this.input.password == "123") 
//         {
           
//             this.$emit("authenticated", true);
//             //this.$router.replace({ name: "dashboard" });
//             this.$router.push('/CalendarFIFOMobile/CalendarBooking'); 
//         }
//         else
//         {
//             alert("The username and / or password is incorrect");
//         }
//     } 
//     else 
//     {
//         alert("A username and password must be present");
//     }
    
//     }
//   }

}
</script>
